#
# spec file for package gdouros-abydos-fonts
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _buildshell /bin/bash
Name:           gdouros-abydos-fonts
Version:        1.96
Release:        2.9
Summary:        A data font of 7440 Egyptian hieroglyphs
License:        SUSE-Permissive
Group:          System/X11/Fonts
URL:            http://users.teilar.gr/~g1951d/
# Download URL
# http://users.teilar.gr/~g1951d/AbydosFont.zip
Source0:        AbydosFont-%{version}.zip
# Download URL
# http://users.teilar.gr/~g1951d/Abydos.pdf
Source1:        Abydos-20171217.pdf
# Download URL
# http://users.teilar.gr/~g1951d/AbydosGlyph.pdf
Source2:        AbydosGlyph-20171217.pdf
Source3:        README-SUSE
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildArch:      noarch

%description
Font containing 7440 Egyptian hieroglyphs.
Abydos is mainly based on Glyph for Windows version 2.0; it also covers
proposals for encoding Egyptian Hieroglyphs in The Unicode Standard:
  * Hans van den Berg, Eric Aubourg, “Hieroglyphic Text Processing:
    Glyph for Windows”, CCER, 2007
  * Michel Suignard, “Source analysis of an extended Egyptian
    Hieroglyphs repertoire”, L2/16-257,
  * “New draft for the encoding of an extended Egyptian Hieroglyphs
    repertoire”, L2/17-073

%package        doc
Summary:        Documentation for %{name}
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description    doc
Contains pdf documentation for %{name}.

%prep
%autosetup -c

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}/
# install docs
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} \
   -t .
for i in *-*.pdf; do
        IFS=-. read -r a b c <<< "$i"; mv "$i" "$a.$c"
done

%reconfigure_fonts_scriptlets

%files
%doc README-SUSE
%{_ttfontsdir}

%files doc
%doc Abydos.pdf AbydosGlyph.pdf

%changelog
* Tue Feb  2 2021 Jan Engelhardt <jengelh@inai.de>
- Set /bin/bash as buildshell for "<<<".
* Fri Jan  5 2018 aloisio@gmx.com
- Update to version 1.96
- Updated Abydos.pdf and AbydosGlyph.pdf
* Fri Nov  3 2017 aloisio@gmx.com
- Update to version 1.95
- Updated Abydos.pdf and AbydosGlyph.pdf
* Wed Sep 27 2017 jengelh@inai.de
- Rectify RPM groups and summaries.
* Tue Aug  1 2017 aloisio@gmx.com
- Initial package (v. 1.23)
